//---------------------------------------------------------------------------
#pragma once
#include "XlsWorksheets.h"
#include "XlsPtr.h"
#include "XlsObject.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CWorkbook : public CObject
{
	friend class CWorksheets;
	friend class CWorkbooks;
	friend class CApplication;
public:
    void		SetName( const char* szName);
	const char* GetName() const;

    TWorksheetsPtr	Worksheets();
    TWorksheetPtr	Worksheet( unsigned int index);

    TWorkbooksPtr	Parent() const;
private:
    CWorkbook(void* pimpl);
    ~CWorkbook();
private:
    CWorkbook( const CWorkbook& wb);
    CWorkbook& operator=( const CWorkbook& wb);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
