//---------------------------------------------------------------------------
#pragma once
#include "XlsWorkbook.h"
#include "XlsPtr.h"
#include "XlsObject.h"
//---------------------------------------------------------------------------
namespace Xls
{
//---------------------------------------------------------------------------
class EXPORT_IMPORT_DirectXLS CWorkbooks : public CObject
{
	friend class CWorkbook;
	friend class CApplication;
public:
    TWorkbookPtr Add( const char* szName);
    TWorkbookPtr Add();

    unsigned int Count();
    TWorkbookPtr Workbook( unsigned int dwIndex);
	TWorkbookPtr FindWorkbook(const char* szName);

    TApplicationPtr Parent() const;
private:
    CWorkbooks(void* pimpl);
    ~CWorkbooks();
private:
    CWorkbooks( const CWorkbooks& wbs);
    CWorkbooks& operator=( const CWorkbooks& wbs);
};
//---------------------------------------------------------------------------
}
//---------------------------------------------------------------------------
